import React, { Component } from 'react';
import { Switch } from 'react-native';
import PropTypes from 'prop-types';
import _ from 'lodash';

export default class _Switch extends Component {
  static propTypes = {
    onChange: PropTypes.func,
    value: PropTypes.bool,
    name: PropTypes.string,
    isDisabled: PropTypes.bool
  };

  static defaultProps = {
    onChange: () => {},
    value: false,
    name: '',
    isDisabled: false
  };

  onChange = (value) => {
    this.props.onChange(value, this.props.name);
  };

  render() {
    const props = _.omit(this.props, ['onChange', 'value', 'name', 'isDisabled']);

    return (
      <Switch onValueChange={this.onChange} value={this.props.value} disabled={this.props.isDisabled} {...props} />
    );
  }
}
